package com.yihu.hos.standard.model.adapter.resultModel;

/**
 * Created by lingfeng on 2015/9/16.
 */
public class AdapterMetadataResultDetailModel {
    private Integer id;
    private Integer schemeId;
    private Integer stdDatasetId;
    private Integer stdMetadataId;
    private String stdMetadataCode;
    private String stdMetadataName;
    private Integer stdDictId;
    private Integer adapterDatasetId;
    private Integer adapterMetadataId;
    private String adapterMetadataCode;
    private String adapterMetadataName;
    private Integer adapterDataType;
    private String adapterMetadataType;
    private Integer adapterDictId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getSchemeId() {
        return schemeId;
    }

    public void setSchemeId(Integer schemeId) {
        this.schemeId = schemeId;
    }

    public Integer getStdDatasetId() {
        return stdDatasetId;
    }

    public void setStdDatasetId(Integer stdDatasetId) {
        this.stdDatasetId = stdDatasetId;
    }

    public Integer getStdMetadataId() {
        return stdMetadataId;
    }

    public void setStdMetadataId(Integer stdMetadataId) {
        this.stdMetadataId = stdMetadataId;
    }

    public String getStdMetadataCode() {
        return stdMetadataCode;
    }

    public void setStdMetadataCode(String stdMetadataCode) {
        this.stdMetadataCode = stdMetadataCode;
    }

    public String getStdMetadataName() {
        return stdMetadataName;
    }

    public void setStdMetadataName(String stdMetadataName) {
        this.stdMetadataName = stdMetadataName;
    }

    public Integer getStdDictId() {
        return stdDictId;
    }

    public void setStdDictId(Integer stdDictId) {
        this.stdDictId = stdDictId;
    }

    public Integer getAdapterDatasetId() {
        return adapterDatasetId;
    }

    public void setAdapterDatasetId(Integer adapterDatasetId) {
        this.adapterDatasetId = adapterDatasetId;
    }

    public Integer getAdapterMetadataId() {
        return adapterMetadataId;
    }

    public void setAdapterMetadataId(Integer adapterMetadataId) {
        this.adapterMetadataId = adapterMetadataId;
    }

    public String getAdapterMetadataCode() {
        return adapterMetadataCode;
    }

    public void setAdapterMetadataCode(String adapterMetadataCode) {
        this.adapterMetadataCode = adapterMetadataCode;
    }

    public String getAdapterMetadataName() {
        return adapterMetadataName;
    }

    public void setAdapterMetadataName(String adapterMetadataName) {
        this.adapterMetadataName = adapterMetadataName;
    }

    public Integer getAdapterDataType() {
        return adapterDataType;
    }

    public void setAdapterDataType(Integer adapterDataType) {
        this.adapterDataType = adapterDataType;
    }

    public Integer getAdapterDictId() {
        return adapterDictId;
    }

    public void setAdapterDictId(Integer adapterDictId) {
        this.adapterDictId = adapterDictId;
    }

    public String getAdapterMetadataType() {
        return adapterMetadataType;
    }

    public void setAdapterMetadataType(String adapterMetadataType) {
        this.adapterMetadataType = adapterMetadataType;
    }
}
